--/callluafunc </F>User_PlayPlot</N>12


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(51, 42)

	local player1 = CppScriptMgr:AddSimplePlayer(1058520,51,39,'Kosuke',4003000071,1)
	local player2 = CppScriptMgr:AddSimplePlayer(1058525,47,45,'',4003000072,1)
	local player3 = CppScriptMgr:AddSimplePlayer(1058522,57,45,'',4003000073,1)
	CppScriptMgr:SetLightScreen(1500);
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("How come! They are junior Ninjas! Where are the alleged senior Ninjas?",2000)
	CppScriptMgr:WaitMilSec(2000)
	player2:Say("Watch out!",1000)
	player2:SetLook(58524)
	player2:JumpTo(51,36)
	CppScriptMgr:WaitMilSec(1000)
	player2:SetAction(330)
	--两秒死亡 要不然会再出现一会
	CppScriptMgr:WaitMilSec(2000)
	
	player2:SetPos(500, 500)
	player1:SetLook(58524)
	player3:SetLook(58524)
	CppScriptMgr:WaitMilSec(2000)
	CppScriptMgr:AddEffect("zf2-e076",51,33)
	CppScriptMgr:AddEffect("zf2-e076",60,43)
	CppScriptMgr:AddEffect("zf2-e076",52,52)
	CppScriptMgr:AddEffect("zf2-e076",42,43)
	CppScriptMgr:WaitMilSec(500)	
	local enemy1 = CppScriptMgr:AddSimplePlayer(1057190,51,33,'EarthlandSeniorNinja',4003000074,1)
	local enemy2 = CppScriptMgr:AddSimplePlayer(1057192,60,43,'EarthlandSeniorNinja',4003000075,1)
	local enemy3 = CppScriptMgr:AddSimplePlayer(1057194,52,52,'EarthlandSeniorNinja',4003000076,1)
	local enemy4 = CppScriptMgr:AddSimplePlayer(1057196,42,43,'EarthlandSeniorNinja',4003000077,1)
	CppScriptMgr:WaitMilSec(1000)
	enemy1:Say("It`s so easy to lead you into a trap.",2000)
	enemy1:SetAction(180)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("What...",2000)
	CppScriptMgr:WaitMilSec(2000)
	player3:Say("Stop them! Report this to the master!",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("I...",1000)
	player3:SetLook(58524)
	player3:JumpTo(51,36)
	CppScriptMgr:WaitMilSec(1000)
	player3:SetAction(401)
	enemy1:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player3:Say("Go! Don`t make us die in vain!",1000)
	player3:SetAction(401)
	enemy1:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player1:JumpTo(51,23)
	player3:SetAction(401)
	enemy1:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player3:SetAction(401)
	enemy1:SetAction(401)
	player1:JumpTo(57,8)
	player3:SetAction(401)
	enemy1:SetAction(401)
	CppScriptMgr:SetDarkScreen(3000);
	CppScriptMgr:WaitMilSec(1000)
	player3:SetAction(401)
	enemy1:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	CppScriptMgr:SetLightScreen(3000);
	
	player3:SetPos(500,500)
	enemy1:SetPos(500,500)
	enemy2:SetPos(500,500)
	enemy3:SetPos(500,500)
	enemy4:SetPos(500,500)
	player1:SetPos(48,43)
	player1:SetLook(58536)
	local player4 = CppScriptMgr:AddSimplePlayer(1050023,54,43,'MasterNinjaIII',4003000078,1)
	CppScriptMgr:WaitMilSec(3000)
	
	CppScriptMgr:WaitMilSec(1000)

	player1:Say("I have sins. I have sworn to be a junior Ninja for my whole life. I wish to make up for their death.",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:SetAction(170)
	player4:Say("Kosuke...",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("I don`t deserve to be an intermediate Ninja, my master.",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:SetLook(58530)
	player1:WalkTo(48,55)
	CppScriptMgr:SetDarkScreen(5000);
	CppScriptMgr:WaitMilSec(5000)
	CppScriptMgr:SetLightScreen(4000);
	player4:SetPos(500,500)
	player1:SetPos(49,45)
	player1:SetLook(58536)
	local player5 = CppScriptMgr:AddSimplePlayer(1058532,55,43,'JuniorMasterNinjaIIII',4003000079,1)
	local player6 = CppScriptMgr:AddSimplePlayer(1050027,49,41,'MasterNinjaIII',4003000080,1)
	CppScriptMgr:AddEffect("task061",56,48)
	CppScriptMgr:WaitMilSec(3000)

	player5:Say("Hey! Do you look down on me or what? How can a junior Ninja be my teacher? I am the youngest intermediate Ninja on the Fireland!",2000)
	CppScriptMgr:WaitMilSec(2000)
	player6:Say("Isn`t he like you, Kosuke?",2000)
	CppScriptMgr:WaitMilSec(2000)
	player1:Say("Yes, a lot.",2000)
	CppScriptMgr:SetDarkScreen(3000);
	CppScriptMgr:WaitMilSec(3000)
------------------------------------------------------------




